function [a, b, c, d] = getabcd( x )

%---------------------------------------------------------------------------
%   Get the state space matrices
%---------------------------------------------------------------------------
%   Form:
%   [a, b, c, d] = getabcd( x )
%---------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   x           (:)   Object of class statespace
%
%   -------
%   Outputs
%   -------
%   a           (:)   State matrix
%   b           (:)   Input matrix
%   c           (:)   Output matrix
%   d           (:)   Feedthrough matrix
%
%---------------------------------------------------------------------------

%---------------------------------------------------------------------------
%   Copyright (c) 1997 Princeton Satellite Systems, Inc.
%   All rights reserved.
%---------------------------------------------------------------------------

a = x.a;
b = x.b;
c = x.c;
d = x.d;

% PSS internal file version information
%--------------------------------------
% $Date: 2004-11-02 12:37:48 -0600 (Tue, 02 Nov 2004) $
% $Revision: 4339 $
