
%-------------------------------------------------------------------------------
%   Plot the results from "FFMaintenanceSim".
%
%   1) First, generate the inputs to "FFMaintenanceSim" by using "FFMaintenanceTests".
%   2) Next, run "FFMaintenanceSim" to simulate the formation flying of two spacecraft.
%   3) Finally, use this function to plot the results.
%
%-------------------------------------------------------------------------------
%   Usage:
%   FFMaintenancePlotter( d, myDirectory );
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   d             (.)   Data structure output from FFMaintenanceSim
%   myDirectory   (:)   String name of directory to save figures to
%
%   -------
%   Outputs
%   -------
%   none
%   
%-------------------------------------------------------------------------------